Print Page   |   Contact Us   |   Your Cart   |   Sign In   |   Join
News & Press: Site News

IWCA Site Not Vulnerable to Heartbleed Bug

Tuesday, April 15, 2014  
Share |
IWCA has verified with our hosting service that it does not use OpenSSL, so it has not been impacted by the Heartbleed OpenSSL vulnerability. Your information remains safe on secure servers.

Community Search
Sign In

Forgot your password?

Haven't joined yet?

Latest News